AVION Theme Webpack compile error

  • Hello,


    i have a clean Pagekit 1.0.15 installation and i download the theme AVION.

    Now ich go in the root of the theme packages/pagekit/theme-avion. And here i will execute the command npm install. After the npm install i will execute webpack. But there are always some errors.


    Code
    1. throw new errors.AssertionError({
    2. ^
    3. AssertionError [ERR_ASSERTION]: Task function must be specified


    Can anyone help me?

  • As npm i have install it globally which version 6.4.1.


    And this is the package.json from the theme:



    But if i execute webpack in the console the backend is destroyed.

  • Well I'm using npm 3.8.6 and webpack version 1.15.0 that is working fine more or less so far. Warnings you will get always as i wrote you that the most packages especially bower are deprecated packages. But however warnings you can ignore the errors could cause a problem in any case as long your vue files are compiled the plugin / extension or in your case a template should work fine.